import http from '@/api/http';
/**
 * 视频剧集-分页列表
 */
export function videoStockEpisodeList(params: object) {
  return http.get('/videoStock/episode/list', params);
}
/**
 * 视频-分页列表
 */
export function videoStockVideoList(params: object) {
  return http.get('/videoStock/video/list', params);
}
/**
 * 视频-分类
 */
export function videoStockVideoCategoryList(params?: object) {
  return http.get('/videoStock/videoCategory/list', params);
}

/**
 * 视频-添加
 */
export function videoStockVideoAdd(params: object) {
  return http.post('/videoStock/video/add', params);
}
/**
 * 视频-更新
 */
export function videoStockVideoUpdate(params: object) {
  return http.post(`/videoStock/video/update`, params);
}
/**
 * 视频-订阅设置
 */
export function videoStockVideoSetChargeConfig(params: object) {
  return http.post(`/videoStock/video/setChargeConfig`, params);
}
/**
 * 视频-保存视频
 */
export function videoStockEpisodeAdd(params: object) {
  return http.post(`/videoStock/episode/add`, params);
}
